VRSpace.org - Bug #29

disconnected users sometimes not removed from the scene
10/05/2020 02:39 PM - Josip Almasi

Status: Closed Start date: 10/05/2020
Priority: Normal Due date:

Assignee: Josip Almasi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

History

#1 - 11/05/2020 11:17 AM - Josip Almasi

- Project changed from VRSpace:research to VRSpace.org

#2 - 02/12/2021 07:02 PM - Josip Almasi
- Status changed from New to In Progress

- Assignee set to Josip Almasi

SessionManager.afterConnectionClosed

calls

WorldManager.logout

which calls exit() first, and only then deletes guest users.
Exception in exit could prevent user deletion.

Candidates:

client scene update (likely)

client notify listeners (unlikely, sendMessage in try/catch block)

#3 - 02/22/2021 07:52 PM - Josip Almasi

- Status changed from In Progress to Closed

None of the above, most likely client errors.
There's one thing sure to keep user in the database forever - killing server with -9.

Eager load/remove/positioning of avatars implemented on client and server, this is no longer relevant.
